import { JSX } from 'preact'
import { IS_BROWSER } from '$fresh/runtime.ts'

export function Button(
	{ disabled, className, ...props }: JSX.HTMLAttributes<HTMLButtonElement>,
) {
	return (
		<button
			{...props}
			disabled={!IS_BROWSER || disabled}
			class={`flex items-center justify-center gap-1 px-2 py-1 bg-gray-500/20 rounded hover:bg-gray-500/25 cursor-pointer transition-colors ${className}`}
		/>
	)
}
