import { JSX } from 'preact'

export interface Props extends JSX.HTMLAttributes<HTMLElement> {
	text: string
}
export function SectionHead(
	{ text, children, className, ...props }: Props,
) {
	return (
		<header
			{...props}
			class={`flex items-center border-b-2 border-stone-500/20 ${className}`}
		>
			<h1 class='flex items-center gap-4 p-5 text-2xl'>
				{text}
				{children}
			</h1>
		</header>
	)
}
